> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Результат партнерского видео Sora

> Получайте результаты задач через партнерский канал



## OpenAPI

````yaml openapi/ru/sora.json get /sora-partner/fetch
openapi: 3.1.0
info:
  title: Документация Sora API
  version: 1.0.0
  description: TTAPI Sora API сервис
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /sora-partner/fetch:
    get:
      description: Получайте результаты задач через партнерский канал
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
          description: jobId вернулся из интерфейса генерации видео
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  videoId:
                    type: string
                    description: Идентификатор видео
                  object:
                    type: string
                    description: видео
                  model:
                    type: string
                    description: Модель
                  prompt:
                    type: string
                    description: Описание видео
                  videoUrl:
                    type: string
                    description: >-
                      URL видео. Срок действия: см. [Хранение и
                      устойчивость](/grids/ru/faq/storage)
                  size:
                    type: string
                    description: Размер видео
                  finishTime:
                    type: string
                    description: Время завершения
                example:
                  status: SUCCESS
                  message: success
                  jobId: c0cc8dad-0954-421f-be8d-02eb063b3263
                  data:
                    videoId: video_sorab69aa4c3ccd83d072d3294a839e9935e94edb0da2
                    model: sora-2
                    prompt: 'Anime: a wolf running'
                    videoUrl: >-
                      https://cdn.ttapi.io/sora/2026-03-06/61651a39-0a6e-418a-862e-67a09f0792c7.mp4
                    seconds: '4'
                    size: 1280x720
                    quota: '40'
                    finishTime: '2026-03-06 03:40:22'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````